Bug 50656 - No /dev/scd0 mount point for SCSI CDROM - installation
No /dev/scd0 mount point for SCSI CDROM - installation
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-01 17:56 EDT by adrian.lawrence
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-20 09:53:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description adrian.lawrence 2001-08-01 17:56:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.7 i686)

Description of problem:
Upgrading from RedHat Linux 7.0 to 7.1.  Attempted to use CDROM.
The CDROM is genuine scsi atatched to a Pas16 host adapter.
I was able to successfully install the Pas16 scsi device driver.
I then attempted to mount the /cdrom, but /dev/scd0 was not available.
I would normally try to mknod the mount point in the virtual console, but
this was not possible.
I forget now why that failed :-( 
Resorted to FTP install instead.

How reproducible:
Always

Steps to Reproduce:
1. Boot from RH 7.1  CDROM under dos where scsi CDROM driver running. 
   Use /dosutils/autoboot.

2. Select install from hard disc as nearest approximation to CDROM.
   Maybe this is a duplicate of earlier bug reporting CDROM not on menu?
Failed to find scsi drive? 

3. Select scsi Pas16 driver and give appropriate parameters (an irq here).
    Move to next page where only ide /dev/hd* mount points were offered.

AFAIR, the command line virtual console was not available at this stage
which prevented me
mknod'ing and mounting manually. 	

Actual Results:  I rebooted and used FTP instead.

Additional info:
Comment 1 Brent Fox 2001-08-10 11:54:47 EDT
Is this an ISA SCSI controller?
Comment 2 adrian.lawrence 2001-08-10 15:02:36 EDT
Yes. The PAS16 is an old, but still well respected, ISA sound card -- with a
scsi interface suited to
CDROMS. Support for both the sound part, but more relevantly, the SCSI chip is a
standard part of the
kernel. As above, I usually use it as a module, and the module was available on
RH7.1. Just the mount
point was missing.

I assume that there is no simple safe way to detect the isa card: so maybe there
needs to be a way to
ask the user about such things. Maybe I should have tried expert mode?
Comment 3 Brent Fox 2001-08-10 15:09:30 EDT
Yes, try expert mode.  As you said, detecting ISA devices is much more difficult
than PCI devices.
Comment 4 Brent Fox 2001-08-20 09:53:23 EDT
Any more info here?
Comment 5 Brent Fox 2001-08-31 10:01:01 EDT
Closing due to inactivity. Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.